package Servlet;

import Datos.CodCategoriaEjercicioDB;
import Datos.CodConceptoDB;
import Datos.CodTipoEjercicioDB;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import Modelo.CodCategoriaEjercicio;
import Modelo.CodConcepto;
import Modelo.CodTipoEjercicio;
import java.util.ArrayList;

public class CrearEjercicioServlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding==null) {
            request.setCharacterEncoding("UTF-8");
        }

        ArrayList<CodConcepto> conceptos = CodConceptoDB.getConceptos();
        request.setAttribute("conceptos", conceptos);
        ArrayList<CodCategoriaEjercicio> categorias = CodCategoriaEjercicioDB.getCategorias();
        request.setAttribute("categorias", categorias);
        ArrayList<CodTipoEjercicio> tipos = CodTipoEjercicioDB.getTipos();
        request.setAttribute("tipos", tipos);
        
        String url = "/crearEjercicio.jsp";
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
